<?php
class Oficina
{
    public $id;
    public $codsucursal;
    public $codproyecto;
    public $nombreOficina;
    public $pinesGeograficos = [];

    public function __construct()
    {
    }

    public static function obtenerPorSucursal($codempresa, $codsucursal, $db = null): object
    {
        try {
            if (empty($db)) $db = obtenerConexion();

            $query = "SELECT * FROM [negocios_salazar].dbo.gen_viviendaslotes_sig where codempresa = :codempresa and codsucursal = :codsucursal and codproyecto = 247";
            $stmt = $db->prepare($query, [PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL, PDO::SQLSRV_ATTR_CURSOR_SCROLL_TYPE => PDO::SQLSRV_CURSOR_BUFFERED]);
            $stmt->bindParam(':codempresa', $codempresa, PDO::PARAM_INT);
            $stmt->bindParam(':codsucursal', $codsucursal, PDO::PARAM_INT);

            $stmt->execute();

            $oficinas = $stmt->fetchAll(PDO::FETCH_OBJ);

            return (object)[
                'status' => 200,
                'message' => 'success',
                'data' => $oficinas
            ];
        } catch (PDOException $e) {
            return (object)[
                'status' => 500,
                'message' => $e->getMessage()
            ];
        } catch (Exception $e) {
            return (object)[
                'status' => 500,
                'message' => $e->getMessage()
            ];
        }
    }
}
